org.esa.beam.framework.processor
Class RequestElementFactoryException

java.lang.Object
  extended by java.lang.Throwable
      extended by java.lang.Exception
          extended by org.esa.beam.framework.processor.ProcessorException
              extended by org.esa.beam.framework.processor.RequestElementFactoryException
All Implemented Interfaces:
Serializable

public class RequestElementFactoryException
extends ProcessorException

Exceptions of this type are thrown within a RequestElementFactory if an element of a request could not be created. This can have multiple reasons:

  • The external format is which the request is stored, is invalid (syntax errors)
  • A request parameter has an unknown data type
  • A request parameter value is not of the desired data type
  • Missing or incomplete information in general
  • Version:
    $Date$
    Author:
    Norman Fomferra
    See Also:
    Serialized Form

    Constructor Summary
    RequestElementFactoryException(String message)
              Constructs a new RequestElementFactoryException with given detail message.
    RequestElementFactoryException(String message, Throwable cause)
              Constructs the object with given error message and cause.
     
    Method Summary
     
    Methods inherited from class java.lang.Throwable
    fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
     
    Methods inherited from class java.lang.Object
    clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait
     

    Constructor Detail

    RequestElementFactoryException

    public RequestElementFactoryException(String message)
    Constructs a new RequestElementFactoryException with given detail message.

    Parameters:
    message - the exception detail message

    RequestElementFactoryException

    public RequestElementFactoryException(String message,
                                          Throwable cause)
    Constructs the object with given error message and cause.

    Parameters:
    message - the exception message
    cause - the exception cause


    Copyright © 2002-2012 Brockmann Consult GmbH. All Rights Reserved.